<?php
declare(strict_types=1);

namespace App\Form\Type;


use App\Entity\QRCode\QRCode;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class QRCodeType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('iban', TextType::class)
            ->add('dueDate', DateType::class)
            ->add('message', TextType::class)
            ->add('money', QRCodeMoneyType::class)
            ->add('paymentIdentification', QRCodePaymentIdentificationType::class)
            ->add('generate_qr_code', SubmitType::class);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => QRCode::class,
        ]);
    }
}
