<?php
declare(strict_types=1);

namespace App\Service;

use App\Entity\QRCode\QRCodeQROptions;

readonly final class QRCodeQROptionsDefaultProvider implements QRCodeQROptionsProviderInterface {
    const DEFAULT_SCALE = 8;
    const DEFAULT_MARGIN = 0;

    private QRCodeQROptions $qrCodeDefaultOptions;

    public function __construct() {
        $this->qrCodeDefaultOptions = new QRCodeQROptions(
            self::DEFAULT_SCALE,
            self::DEFAULT_MARGIN
        );
    }

    public function getDefault(): QRCodeQROptions {
        return $this->qrCodeDefaultOptions;
    }
}
