<?php
declare(strict_types=1);

namespace App\Validator;

use Symfony\Component\Validator\Constraint;

#[\Attribute(\Attribute::TARGET_PROPERTY | \Attribute::TARGET_METHOD | \Attribute::IS_REPEATABLE)]
class BankPaymentIdentificationNumber extends Constraint
{
    public const NOT_CURRENCY_ERROR = '478a18e7-95ba-473d-9101-cabd45e49115';

    protected const ERROR_NAMES = [
        self::NOT_CURRENCY_ERROR => 'NOT_BANKID_NUMBER_ERROR',
    ];

    public string $message = 'This value should be bank identification number.';

    /**
     * @param mixed|null $options
     * @param string|null $message
     * @param array<string>|null $groups
     * @param mixed|null $payload
     */
    public function __construct(mixed $options = null, string $message = null, array $groups = null, mixed $payload = null)
    {
        parent::__construct($options ?? [], $groups, $payload);

        $this->message = $message ?? $this->message;
    }
}
